# Uses of Class
com.sun.grid.util.expect.ExpectBuffer

Packages that use ExpectBuffer
Package
Description
com.sun.grid.util.expect
This package contains classes for handling stdout, stderr and stin of a process (similar to tcl expect).

## Uses of ExpectBuffer in com.sun.grid.util.expect

Methods in com.sun.grid.util.expect with parameters of type ExpectBuffer
Modifier and Type
Method
Description
`void`
ExpectHandler.`handle(Expect expect, ExpectBuffer buffer)`
Handle new output of the process and be send a reply.
`void`
ExpectPasswordHandler.`handle(Expect expect, ExpectBuffer buffer)`
`void`
ExpectStringHandler.`handle(Expect expect, ExpectBuffer buffer)`